Download it now!
Bug 31460 - Distortions in SVG image
Summary: Distortions in SVG image
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-08 03:44 UTC by Peter
Modified: 2015-03-31 12:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Buddy.svg as displayed in EOG and LibO (7.61 KB, image/png)
2010-12-01 01:38 UTC, Stefan Knorr (astron)
Details
A square in svg format created in Inkscape (1.99 KB, image/svg+xml)
2012-05-22 14:11 UTC, Ulf Göransson
Details
The same square as displayed in LibO Writer (843 bytes, image/png)
2012-05-22 14:14 UTC, Ulf Göransson
Details
And again as displayed in Inkscape and others (723 bytes, image/png)
2012-05-22 14:15 UTC, Ulf Göransson
Details
SVG not distorted anymore in LibO 4.3.2.2 (23.38 KB, image/png)
2014-10-24 20:50 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter 2010-11-08 03:44:03 UTC
This error is encountered in OOo3.2.1/Go-oo@Ubuntu10.10.
Please, open a blank text document and insert this image from file: http://www.openoffice.org/nonav/issues/showattachment.cgi/56183/buddy02.svg

You can see the edges are distorted and the fill-in colour sampled. Please compare with results of the image in image browser.
Comment 1 Petr Mladek 2010-11-16 07:32:22 UTC
I opened the picture with LibreOffice-3.3-beta3 and with inkscape on SLED11-SP1. I can't find the described differences.

Peter, could you please make screenshots and somehow somehow mark the problematic area?
Comment 2 Stefan Knorr (astron) 2010-12-01 01:38:26 UTC
Created attachment 40692 [details]
Buddy.svg as displayed in EOG and LibO

See distortion, too. This was done using LibreOffice 3.3 beta 3 for Windows under Wine (which is probably why antialiasing is off, too). (Because of a bug with the current official debs, I couldn't install directly under Linux.)
Comment 3 Yifan Jiang 2010-12-08 22:23:11 UTC
I didn't see the problem in native Libo 3.3 rc1 /Win xp.
Comment 4 Yifan Jiang 2010-12-08 22:26:07 UTC
(In reply to comment #3)
> I didn't see the problem in native Libo 3.3 rc1 /Win xp.

Ah...sorry, I omit the 'insert'. This is reproducible on LibO 3.3 rc1 on both Windows xp and SLED 11 sp1, when inserting the picture to writer.

ps. LibO Draw looks doing right job to show it.
Comment 5 Thorsten Behrens (CIB) 2010-12-10 01:59:29 UTC
My bug. Setting prio to low, this will go away with the native svg rendering we have in the pipeline.
Comment 6 tester8 2012-01-01 13:28:44 UTC
@ Peter

I can't download picture. Can you upload it?
Comment 7 Ulf Göransson 2012-05-22 14:11:00 UTC
Created attachment 61985 [details]
A square in svg format created in Inkscape
Comment 8 Ulf Göransson 2012-05-22 14:14:30 UTC
Created attachment 61987 [details]
The same square as displayed in LibO Writer
Comment 9 Ulf Göransson 2012-05-22 14:15:51 UTC
Created attachment 61988 [details]
And again as displayed in Inkscape and others
Comment 10 Ulf Göransson 2012-05-22 14:19:52 UTC
I had prepared three files for a bug report but then I found this, which looks very much the same.
Rather than entering a duplicate, I uploaded the files here...
Comment 11 Thorsten Behrens (CIB) 2012-06-05 03:27:19 UTC
(In reply to comment #10)
> I had prepared three files for a bug report but then I found this, which looks
> very much the same.
> Rather than entering a duplicate, I uploaded the files here...
>
Ulf, which version are you running?
Comment 12 bfoman (inactive) 2013-07-24 13:12:04 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Inserted in Writer test-square.svg file as original buddy link is unavailable. Looks good.
Comment 13 Thorsten Behrens (CIB) 2013-09-12 16:14:38 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 14 Jorendc 2014-07-15 18:52:40 UTC
New link to buddy02.svg is : https://issues.apache.org/ooo/attachment.cgi?id=56183
Comment 15 QA Administrators 2014-10-23 17:31:41 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 16 tommy27 2014-10-24 20:50:57 UTC
Created attachment 108371 [details]
SVG not distorted anymore in LibO 4.3.2.2

I can reproduce the bug with very old LibO 3.3.3 release under Win7x64.

bug is gone in LibO 4.3.2.2. see my screenshot.
Comment 17 Peter 2015-03-31 12:24:19 UTC
Works even with LibreOffice 3.5.4.2 Build ID: 350m1(Build:2)